Subject: RE: bug#42307: Feature request: Visual block attribute for overlays

From: Gregory Heytings <[email-masked]>
Date: Sun, 12 Jul 2020 08:21:04 +0000

>
>> How this highlighting is different from the rectangle selection mode 
>> activated by 'C-x SPC'?
>
> I'm not the OP, but I think the point is to provide different behaviors 
> for overlays, just as we now have the original behavior (rebaptized as 
> :extend) and the new behavior that doesn't extend.
>
> It's not about text selection or defining the region. It's about overlay 
> properties.  That's my understanding, anyway.
>

Your understanding is correct, the point is not to create a new selection 
mode (they all exist as far as I can see) but a new overlay behavior, with 
a face attribute.

Gregory